// -*- c++ -*-

#ifndef ECHOSERVLET_H
#define ECHOSERVLET_H

#include <qhttpservlet.h>

/**
 * A servlet that echos the incoming HTTP request.
 *
 * @author Richard Moore
 */
class EchoServlet : public QHttpServlet
{
public: 
	EchoServlet( QServletConfig *cfg, const char *info=0 );
	~EchoServlet();

   
   virtual QDateTime lastModified( QHttpServletRequest *req );

protected:
   virtual bool doGet( QHttpServletRequest *req, QHttpServletResponse *res );
};

#endif

// Local Variables:
// c-basic-offset: 3
// End:

