
#include "qhttpsession.h"

QHttpSession::QHttpSession()
   : accessed(QDateTime::currentDateTime()), created(accessed),
     isnew(true)
{
}

QHttpSession::~QHttpSession()
{
}

void QHttpSession::setLastAccessTime( const QDateTime &dt )
{
   accessed = dt.isNull() ? QDateTime::currentDateTime() : dt;
}

void QHttpSession::invalidate()
{
  valnames.clear();
  vals.clear();
}

void QHttpSession::setValue( const QString &name, const QVariant &value )
{
   valnames.append( name );
   vals[name] = value;
}


