#include "qservletcontext.h"
#include "qservletconfig.h"

QServletConfig::QServletConfig( QServletContext *sc )
   : ctx(sc), d(0)
{
}
 
QServletConfig::~QServletConfig()
{
}

void QServletConfig::setInitParameter( const QString &name, const QString &value )
{
   params[name] = value;
   names += value;
}

QString QServletConfig::initParameter( const QString &name )
{
   return params[name];
}

QStringList QServletConfig::initParameterNames()
{
   return names;
}

// Local Variables:
// c-basic-offset: 3
// End:
