// -*- c++ -*-

#ifndef QSERVLETCONTEXT_H
#define QSERVLETCONTEXT_H

#include <qstring.h>
#include <qservletbase.h>

/**
 * Allows a servlet to interact with the host server.
 */
class QServletContext : public QServletBase
{
public:
	QServletContext( const char *info=0 );

   /** Returns a string containing information about the host server. */
   QString serverInfo() { return srvInfo; }

private:
	QString srvInfo;
};

#endif // QSERVLETCONTEXT_H

// Local Variables:
// c-basic-offset: 3
// End:

