#include <qiodevice.h>
#include <qtextstream.h>

#include "qservletresponse.h"

QServletResponse::QServletResponse( QIODevice *io, QServletRequest *sreq )
   : dev(io), req(sreq), out(0), len(-1L)
{
}

QServletResponse::~QServletResponse()
{
}

QTextStream *QServletResponse::outputStream()
{
   if ( !out )
      out = new QTextStream( outputDevice() );

   return out;
}

// Local Variables:
// c-basic-offset: 3
// End:

